Index: uspace/lib/net/include/netif_local.h
===================================================================
--- uspace/lib/net/include/netif_local.h	(revision e526f08e005a95740d8b5d3b30f7cdf1db353104)
+++ uspace/lib/net/include/netif_local.h	(revision efedee77fb501f874d3f1d14038169bcca374afc)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup netif
+/** @addtogroup libnet
  * @{
  */
@@ -36,6 +36,6 @@
  */
 
-#ifndef __NET_NETIF_LOCAL_H__
-#define __NET_NETIF_LOCAL_H__
+#ifndef NET_NETIF_LOCAL_H_
+#define NET_NETIF_LOCAL_H_
 
 #include <async.h>
@@ -43,5 +43,4 @@
 #include <ipc/ipc.h>
 #include <ipc/services.h>
-#include <err.h>
 
 #include <adt/measured_strings.h>
@@ -49,7 +48,5 @@
 #include <net/packet.h>
 
-/** Network interface device specific data.
- *
- */
+/** Network interface device specific data. */
 typedef struct {
 	device_id_t device_id;  /**< Device identifier. */
@@ -67,7 +64,5 @@
 DEVICE_MAP_DECLARE(netif_device_map, netif_device_t);
 
-/** Network interface module skeleton global data.
- *
- */
+/** Network interface module skeleton global data. */
 typedef struct {
 	int net_phone;                  /**< Networking module phone. */
@@ -81,5 +76,4 @@
  *
  * This function has to be implemented in user code.
- *
  */
 extern int netif_initialize(void);
@@ -89,13 +83,13 @@
  * This has to be implemented in user code.
  *
- * @param[in] device_id The device identifier.
- * @param[in] irq       The device interrupt number.
- * @param[in] io        The device input/output address.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[in] irq	The device interrupt number.
+ * @param[in] io	The device input/output address.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_probe_message(device_id_t device_id, int irq, uintptr_t io);
@@ -105,14 +99,15 @@
  * This has to be implemented in user code.
  *
- * @param[in] device_id The device identifier.
- * @param[in] packet    The packet queue.
- * @param[in] sender    The sending module service.
- *
- * @return EOK on success.
- * @return EFORWARD if the device is not active (in the NETIF_ACTIVE state).
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet queue.
+ * @param[in] sender	The sending module service.
+ *
+ * @return		EOK on success.
+ * @return		EFORWARD if the device is not active (in the
+ *			NETIF_ACTIVE state).
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_send_message(device_id_t device_id, packet_t packet,
@@ -123,11 +118,11 @@
  * This has to be implemented in user code.
  *
- * @param[in] device The device structure.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device	The device structure.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_start_message(netif_device_t *device);
@@ -137,11 +132,11 @@
  * This has to be implemented in user code.
  *
- * @param[in] device The device structure.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device	The device structure.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_stop_message(netif_device_t *device);
@@ -151,14 +146,14 @@
  * This has to be implemented in user code.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] address   The device local hardware address.
- *
- * @return EOK on success.
- * @return EBADMEM if the address parameter is NULL.
- * @return ENOENT if there no such device.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[out] address	The device local hardware address.
+ *
+ * @return		EOK on success.
+ * @return		EBADMEM if the address parameter is NULL.
+ * @return		ENOENT if there no such device.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_get_addr_message(device_id_t device_id,
@@ -170,15 +165,14 @@
  * skeleton. This has to be implemented in user code.
  *
- * @param[in]  callid       The message identifier.
- * @param[in]  call         The message parameters.
- * @param[out] answer       The message answer parameters.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
  * @param[out] answer_count The last parameter for the actual answer in
- *                          the answer parameter.
- *
- * @return EOK on success.
- * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ *			the answer parameter.
+ *
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_specific_message(ipc_callid_t callid, ipc_call_t *call,
@@ -189,12 +183,12 @@
  * This has to be implemented in user code.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] stats     The device usage statistics.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[out] stats	The device usage statistics.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_get_device_stats(device_id_t device_id,
